---
- name: Apache | Install packages
  apt: name={{ item }} state=present
  with_items: "{{ apache_ubuntu }}"

- name: Apache | Add modules
  apache2_module: name={{ item }} state=present
  with_items: "{{ apache_modules }}"

- name: Apache | Remove default host
  file: path=/etc/apache2/sites-enabled/000-default.conf state=absent

- name: Apache | Copy Apache configuration
  template:
      src: apache-config.conf.j2
      dest: /etc/apache2/sites-enabled/{{ servername }}.conf

- name: Apache | Create webroot
  file:
      path: "{{ webroot }}"
      state: directory
      owner: www-data
      group: www-data
      mode: 0755

- name: Apache | Create default web page
  template:
      src: index.html.j2
      dest: "{{ webroot }}/index.html"


- name: Apache | Set correct permissions on default web page
  file:
      path: "{{ webroot }}/index.html"
      owner: www-data
      group: www-data
      mode: 0744

- name: Apache | Restart apache
  service: name=apache2 state=restarted

